SelectedTheme (gCube Join New Portlet 2.3.0-SNAPSHOT API)
Date: 2015-10-22

org.gcube.portlets.user.joinnew.shared

## Enum SelectedTheme

- java.lang.Object
- - java.lang.Enum<SelectedTheme>
  - - org.gcube.portlets.user.joinnew.shared.SelectedTheme

- All Implemented Interfaces:
    Serializable, Comparable<SelectedTheme>

      public enum SelectedTheme
      extends Enum<SelectedTheme>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GENERIC`
    `iMARINE`
    `LIFERAY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SelectedTheme` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SelectedTheme[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GENERIC

          public static final SelectedTheme GENERIC

    - #### iMARINE

          public static final SelectedTheme iMARINE

    - #### LIFERAY

          public static final SelectedTheme LIFERAY

  - ### Method Detail

    - #### values

          public static SelectedTheme[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectedTheme c : SelectedTheme.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SelectedTheme valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All Rights Reserved.